Name:          python-websocket-client
Version:       0.49.0
Release:       1mamba
Summary:       Websocket client for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://github.com/liris/websocket-client
Source:        https://github.com/liris/websocket-client/archive/v%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
%if 0%{?with_pyver}
BuildRequires: libpython%{?with_pyver}-devel
%else
BuildRequires: libpython-devel
%endif
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n websocket-client-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE README.rst

%changelog
* Wed Aug 15 2018 Automatic Build System <autodist@mambasoft.it> 0.49.0-1mamba
- automatic version update by autodist

* Sun May 27 2018 Automatic Build System <autodist@mambasoft.it> 0.48.0-1mamba
- automatic version update by autodist

* Wed Feb 28 2018 Automatic Build System <autodist@mambasoft.it> 0.47.0-1mamba
- automatic version update by autodist

* Fri Jan 05 2018 Automatic Build System <autodist@mambasoft.it> 0.46.0-1mamba
- automatic version update by autodist

* Mon Jan 01 2018 Automatic Build System <autodist@mambasoft.it> 0.45.0-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Automatic Build System <autodist@mambasoft.it> 0.40.0-1mamba
- automatic version update by autodist

* Fri Dec 02 2016 Automatic Build System <autodist@mambasoft.it> 0.39.0-1mamba
- automatic version update by autodist

* Sat Oct 15 2016 Davide Madrisan <davide.madrisan@gmail.com> 3.2-1mamba
- package created using the webbuild interface